Api reference
Get message content
Retrieve both the HTML and plain text content for a captured email message, along with extracted links, images, verification codes, and message headers.
Retrieve both the HTML and plain text content for a captured email message, along with extracted links, images, verification codes, and message headers.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Path Parameters
referenceId*string
Internal reference ID returned by the inbox messages endpoints.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/messages/:referenceId"{ "referenceId": "string", "from": "user@example.com", "to": "user@example.com", "subject": "string", "size": 0, "receivedAt": "2019-08-24T14:15:22Z", "headers": [ { "key": "string", "originalKey": "string", "value": "string" } ], "html": { "codes": [ "string" ], "links": [ { "href": "http://example.com", "text": "string" } ], "images": [ { "alt": "string", "url": "http://example.com", "base64": "string" } ], "body": "string" }, "text": { "codes": [ "string" ], "links": [ { "href": "http://example.com", "text": "string" } ], "images": [ { "alt": "string", "url": "http://example.com", "base64": "string" } ], "body": "string" }}{ "success": false, "message": "string"}